package com.mosty.wzzx.service;

import com.mosty.base.model.dto.wzzx.LocationInfo;
import com.mosty.base.model.entity.qwzx.TbQwXfbb;
import com.mosty.base.model.entity.wzzx.TbWzRywz;
import com.mosty.base.model.entity.wzzx.TbWzSbsswz;
import io.swagger.annotations.ApiOperation;

public interface TbQwXfbbService {

    @ApiOperation("根据ID更新")
    Integer updateXfbb(TbQwXfbb bb,LocationInfo locationInfo, TbWzRywz rywz,Integer lc);

    @ApiOperation("根据ID更新")
    Integer updateById(String id, LocationInfo locationInfo);

    @ApiOperation("udp更新报备位置")
    void updateXfbbUdp(TbQwXfbb bb, TbWzSbsswz sbsswz,Integer lc);

    @ApiOperation("查询是否报备")
    int getsfbb(String id);
}
